=== debian/changelog ===
ros-noetic-depthai-ros-driver (2.6.1-2buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Adam Serafin <adam.serafin@luxonis.com>  Sun, 29 Jan 2023 16:25:01 -0000
